package com.xy.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xy.entity.AlgorithmGoods;
import com.xy.mapper.AlgorithmGoodsMapper;
import com.xy.utils.R;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * <p>
 * 算法平台商品库 服务实现类
 * </p>
 *
 * @author hechunping
 * @since 2023/1/13
 */
@Service
@AllArgsConstructor
@Api(tags = "算法平台商品库")
public class AlgorithmGoodsServiceImpl extends ServiceImpl<AlgorithmGoodsMapper, AlgorithmGoods> implements AlgorithmGoodsService{
    private final GoodsCategoryService goodsCategoryService;

    @GetMapping("test")
    public R test(){
        return R.ok();
    }
}
